### Hierarchy

- OfferRepositoryImpl

### Implements

- OfferRepository

## Index

### Constructors

- constructor

### Methods

- create
- deleteById
- getAllOffer
- getOfferByOwner
- getOfferByOwnerAndId
- getOffersByOwnerAndTag
- update

## Constructors

### constructor

- new OfferRepositoryImpl(transport: HttpTransport): OfferRepositoryImpl

- - Defined in repository/offer/OfferRepositoryImpl.ts:11

  #### Parameters

  - ##### transport: HttpTransport

  #### Returns OfferRepositoryImpl

## Methods

### create

- create(owner: string, offer: Offer): Promise<Offer>

- Implementation of OfferRepository.create

  - Defined in repository/offer/OfferRepositoryImpl.ts:17

  #### Parameters

  - ##### owner: string

  - ##### offer: Offer

  #### Returns Promise<Offer>

### deleteById

- deleteById(owner: string, id: number): Promise<number>

- Implementation of OfferRepository.deleteById

  - Defined in repository/offer/OfferRepositoryImpl.ts:33

  #### Parameters

  - ##### owner: string

  - ##### id: number

  #### Returns Promise<number>

### getAllOffer

- getAllOffer(): Promise<Array<Offer>>

- Implementation of OfferRepository.getAllOffer

  - Defined in repository/offer/OfferRepositoryImpl.ts:55

  #### Returns Promise<Array<Offer>>

### getOfferByOwner

- getOfferByOwner(owner: string): Promise<Array<Offer>>

- Implementation of OfferRepository.getOfferByOwner

  - Defined in repository/offer/OfferRepositoryImpl.ts:48

  #### Parameters

  - ##### owner: string

  #### Returns Promise<Array<Offer>>

### getOfferByOwnerAndId

- getOfferByOwnerAndId(owner: string, id: number): Promise<Array<Offer>>

- Implementation of OfferRepository.getOfferByOwnerAndId

  - Defined in repository/offer/OfferRepositoryImpl.ts:41

  #### Parameters

  - ##### owner: string

  - ##### id: number

  #### Returns Promise<Array<Offer>>

### getOffersByOwnerAndTag

- getOffersByOwnerAndTag(owner: string, tag: string): Promise<Array<Offer>>

- Implementation of OfferRepository.getOffersByOwnerAndTag

  - Defined in repository/offer/OfferRepositoryImpl.ts:62

  #### Parameters

  - ##### owner: string

  - ##### tag: string

  #### Returns Promise<Array<Offer>>

### update

- update(owner: string, id: number, offer: Offer): Promise<Offer>

- Implementation of OfferRepository.update

  - Defined in repository/offer/OfferRepositoryImpl.ts:25

  #### Parameters

  - ##### owner: string

  - ##### id: number

  - ##### offer: Offer

  #### Returns Promise<Offer>

Generated using TypeDoc